Debian Bug report logs - #506229
dpkg-cross fails to provide correct .pc for libpthread-stubs0-dev

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Marco Amadori <amadorim@vdavda.com>

Date: Wed, 19 Nov 2008 15:30:01 UTC

Severity: normal

Found in version 2.3.3

Fixed in version dpkg-cross/2.4.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#506229; Package dpkg-cross. (Wed, 19 Nov 2008 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 19 Nov 2008 15:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: submit@bugs.debian.org
Subject: dpkg-cross fails to provide correct .pc for libpthread-stubs0-dev
Date: Wed, 19 Nov 2008 16:28:44 +0100
Package: dpkg-cross

Hi dear emdebian fellows, dpkg-cross cannot build a useful 
libpthread-stubs0-dev for cross compiling.

Eg:

$ dpkg -L libpthread-stubs0-dev
/.
/usr
/usr/share
/usr/share/pkgconfig
/usr/share/pkgconfig/pthread-stubs.pc
/usr/share/doc
/usr/share/doc/libpthread-stubs0-dev
/usr/share/doc/libpthread-stubs0-dev/README
/usr/share/doc/libpthread-stubs0-dev/copyright
/usr/share/doc/libpthread-stubs0-dev/changelog.Debian.gz

$ dpkg -L libpthread-stubs0-dev-mipsel-cross
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/libpthread-stubs0-dev-mipsel-cross
/usr/share/doc/libpthread-stubs0-dev-mipsel-cross/README

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Tags added: unreproducible Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Wed, 19 Nov 2008 18:27:06 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Wed, 19 Nov 2008 18:27:06 GMT) Full text and rfc822 format available.

Tags removed: unreproducible Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Wed, 19 Nov 2008 18:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#506229; Package dpkg-cross. (Wed, 19 Nov 2008 18:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 19 Nov 2008 18:36:02 GMT) Full text and rfc822 format available.

Message #16 received at 506229@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Marco Amadori <amadorim@vdavda.com>, 506229@bugs.debian.org
Subject: Re: Bug#506229: dpkg-cross fails to provide correct .pc for libpthread-stubs0-dev
Date: Wed, 19 Nov 2008 18:31:31 +0000
[Message part 1 (text/plain, inline)]
On Wed, 19 Nov 2008 16:28:44 +0100
Marco Amadori <amadorim@vdavda.com> wrote:

> Package: dpkg-cross

At first, I couldn't reproduce the bug but I think I have it isolated
now - the pkgconfig file is in /usr/share/ instead of the more
usual /usr/lib/

That could be a regression - dpkg-cross doesn't see the package as
useful which is a bug.
 
Please let me know which version of dpkg-cross you are currently using.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Bug marked as found in version 2.3.3. Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Wed, 19 Nov 2008 18:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#506229; Package dpkg-cross. (Fri, 21 Nov 2008 08:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Fri, 21 Nov 2008 08:48:02 GMT) Full text and rfc822 format available.

Message #23 received at 506229@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: Neil Williams <codehelp@debian.org>
Subject: Re: Bug#506229: dpkg-cross fails to provide correct .pc for libpthread-stubs0-dev
Date: Thu, 20 Nov 2008 08:59:52 +0100
On Wednesday 19 November 2008, 19:31:31, you wrote:

> At first, I couldn't reproduce the bug but I think I have it isolated
> now - the pkgconfig file is in /usr/share/ instead of the more
> usual /usr/lib/

I thought it used a different pattern matching, but this makes perfect sense.

It could be a bug of libpthread-stubs0-dev ?

> That could be a regression - dpkg-cross doesn't see the package as
> useful which is a bug.
> Please let me know which version of dpkg-cross you are currently using.

Sorry for not adding it in the first report I though I used latest from sid, 
anyway here it is:

$ dpkg-cross --help
dpkg-cross version 2.3.3

$ dpkg -l dpkg-cross | grep ii
ii  dpkg-cross        2.3.3             tools for cross compiling Debian 
packages
-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#506229; Package dpkg-cross. (Fri, 21 Nov 2008 10:12:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Fri, 21 Nov 2008 10:12:25 GMT) Full text and rfc822 format available.

Message #28 received at 506229@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Marco Amadori <amadorim@vdavda.com>, 506229@bugs.debian.org
Subject: Re: Bug#506229: dpkg-cross fails to provide correct .pc for libpthread-stubs0-dev
Date: Fri, 21 Nov 2008 10:07:38 +0000
[Message part 1 (text/plain, inline)]
Package: dpkg-cross
tag 506229 + pending
thanks

On Thu, 20 Nov 2008 08:59:52 +0100
Marco Amadori <amadorim@vdavda.com> wrote:

> On Wednesday 19 November 2008, 19:31:31, you wrote:
> 
> > the pkgconfig file is in /usr/share/ instead of the
> > more usual /usr/lib/
> 
> I thought it used a different pattern matching, but this makes
> perfect sense.
> 
> It could be a bug of libpthread-stubs0-dev ?

No, pkgconfig should support files in /usr/share/pkgconfig/ and so
should dpkg-cross.

The issue is that the pkgconfig files in /usr/share/ never seem to
contain any useful data, yet packages still look for just the file.
None of the pkgconfig files in my /usr/share/pkgconfig/ contain any
data for --cflags or --libs

neil@dwarf:~$ pkg-config --cflags pthread-stubs
 
neil@dwarf:~$ pkg-config --libs pthread-stubs
 
I'm not sure why pthread-stubs-dev contains a pkgconfig file that
provides no pkgconfig data but that is common to all the pkgconfig
files in /usr/share/pkgconfig/ so it's reasonable for dpkg-cross to
handle them (to prevent build errors against the -dev package
using /usr/share/pkgconfig/), even if nothing useful is actually inside
the files.

diff -p -u -b -B -r1.64 dpkg-cross
--- dpkg-cross	14 Oct 2008 20:49:48 -0000	1.64
+++ dpkg-cross	21 Nov 2008 09:39:18 -0000
@@ -831,6 +831,9 @@ sub sub_build {
 			# regular .pc file in /usr/lib/pkgconfig
 			fix_pc_file("$src$_", "$dst$crosslib/$1") or goto fail;
 			# not for lib64: I don't know if there is any rationale
+		} elsif (m:/usr/share/(pkgconfig/[^/]+.pc)$:) {
+			# regular .pc file in /usr/share/pkgconfig
+			fix_pc_file("$src$_", "$dst$crossdir/share/$1") or goto fail;
 		} elsif (m:^/usr/(src/.*):) {
 			# any files under /usr/src/
 			link_file("$src$_", "$dst$crossdir/$1") or goto fail;


neil@dwarf:test$ dpkg -c libpthread-stubs0-dev_0.1-2_arm.deb | grep stubs.pc
-rw-r--r-- root/root       169 2007-06-27 04:35 ./usr/share/pkgconfig/pthread-stubs.pc
neil@dwarf:test$ dpkg -c libpthread-stubs0-dev-arm-cross_0.1-2_all.deb | grep stubs.pc
-rw-r--r-- root/root       183 2008-11-21 09:35 ./usr/arm-linux-gnu/share/pkgconfig/pthread-stubs.pc

That change will be in dpkg-cross 2.3.4:

http://alioth.debian.org/plugins/scmcvs/cvsweb.php/dpkg-cross/dpkg-cross.diff?r1=1.64;r2=1.65;cvsroot=dpkg-cross;f=h

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Tags removed: moreinfo Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Fri, 21 Nov 2008 10:18:13 GMT) Full text and rfc822 format available.

Tags added: pending Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Fri, 21 Nov 2008 10:18:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#506229; Package dpkg-cross. (Fri, 21 Nov 2008 10:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Fri, 21 Nov 2008 10:21:13 GMT) Full text and rfc822 format available.

Message #37 received at 506229@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: Neil Williams <codehelp@debian.org>
Cc: 506229@bugs.debian.org
Subject: Re: Bug#506229: dpkg-cross fails to provide correct .pc for libpthread-stubs0-dev
Date: Fri, 21 Nov 2008 11:18:21 +0100
On Friday 21 November 2008, 11:07:38, Neil Williams wrote:

> Package: dpkg-cross
> tag 506229 + pending
> thanks

> That change will be in dpkg-cross 2.3.4:

Thanks for the quick fix, Neil.

Really, really nice.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:18:26 GMT) Full text and rfc822 format available.

Notification sent to Marco Amadori <amadorim@vdavda.com>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:18:26 GMT) Full text and rfc822 format available.

Message #42 received at 506229-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 506229-close@bugs.debian.org
Subject: Bug#506229: fixed in dpkg-cross 2.4.0
Date: Sun, 15 Feb 2009 13:59:24 +0000
Source: dpkg-cross
Source-Version: 2.4.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.4.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.dsc
dpkg-cross_2.4.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.tar.gz
dpkg-cross_2.4.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0_all.deb
libdebian-dpkgcross-perl_2.4.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.4.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506229@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Feb 2009 11:25:46 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.4.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 447427 493180 499292 506229 506956 513203 514249 514604
Changes: 
 dpkg-cross (2.4.0) unstable; urgency=low
 .
   * Merge Emdebian releases into Debian.
   * Remove dependencies on outdated -dcv1 compatibility packages,
     retain Provides for now. (Closes: #514249)
 .
 dpkg-cross (2.3.6) unstable; urgency=low
 .
   * Fix cache support for packages with unusual AC_INIT calls.
   * Add cache support for mipsel.
 .
 dpkg-cross (2.3.5) unstable; urgency=low
 .
   * [INTL:es] Spanish debconf template translation for dpkg-cross
     (Closes: #514604)
   * Implement support for package-specific cache values using CONFIG_SITE
     and /etc/dpkg-cross/cross-config.d/$arch support. (Closes: #493180)
 .
 dpkg-cross (2.3.4) unstable; urgency=low
 .
   * Fix "dpkg-cross fails to provide correct .pc for libpthread-stubs0-
     dev" by marking pkgconfig files in /usr/share/ as 'useful'.
     (Closes: #506229)
   * Allow an exception so that dpkg-cross can handle symlinks to
     pkgconfig files. (Closes: #506956)
   * Debian/DpkgCross.pm :Add a note to endiannes function that dpkg-
     cross needs to be installed as well as the perl module in order for
     the function to retrieve the endianness data.
   * Add missing cache values for findutils to allow findutils to remove
     the cache file. (Closes: #513203)
 .
 dpkg-cross (2.3.3) unstable; urgency=low
 .
   * Migrate gccross to emdebian-tools
   *  + to aid migration of dpkg-cross into dpkg and dpkg-dev
   *  + to retain gccross support until all packages are fixed
   *  + to implement support for marking all packages using gccross as
     buggy.
   * drop buildcross which is now implemented inside emdebuild if
     '[X-]Build-Cross-Libtool: yes' is used in debian/xcontrol
   * dpkg-cross : migrate manpage content to POD for compatibility with
     dpkg-dev
   * migrate default options into the module instead of the conffile
   * check for and remove dangling symlinks (Closes: #499292) by
     stopping the creation of symlinks for files that are not
     interesting.
   * remove obsolete files from CVS and source tarball
   * using pod2man, so drop docbook-to-man build-depends
   * Improve error checking in case  value really is undefined
   * Add dynamic archtable settings to make it easier to support uClibc
     permutations: please support wrong architecture (Closes: #447427)
   * dpkg-cross : Remove cairo hack and finish simplifying the regexp
     lines to remove unnecessary escape characters.
   * debian/rules: final tweak to update from i18n update, clean up
     module man page
 .
 dpkg-cross (2.3.2) unstable; urgency=low
 .
   * Support package-specific cache values
   * config/cross-config.arm config/cross-config.armel : load the global
     variables before the previous values to retain the architecture-
     dependent values
   * config/cross-config.cache : drop orbit data (specialized support
     elsewhere) and reorganise blocks alphabetically
   * dpkg-cross : Implement support for generated cache data in
     /etc/dpkg-cross/cross-config.d/ and architecture-dependent sub
     directories
   * config/cross-config.cache : wrap cache values in package and
     package_name conditionals. Restrict loading of files in
     /etc/dpkg-cross/cross-config.d/ to files matching the package_name
     variable assigned within ./configure.
   * dpkg-cross : Support installing cmake files in -dev packages.
   * Adapt the experimental CMake example file for (hopefully) different
     Linux architectures
   * Add a few CMake tips to the dpkg-cross manpage
 .
 dpkg-cross (2.3.1) unstable; urgency=low
 .
   * Support collected cache values for system-wide comparisons
Checksums-Sha1: 
 f59caff76c01420b6553ac3d43a9210020474ceb 1223 dpkg-cross_2.4.0.dsc
 f5c1d37fec5c40f457c4c3ef2fa6ecc5d4cffc03 73460 dpkg-cross_2.4.0.tar.gz
 2a672b2cd9761f4e1f69181e43c764987952a589 50356 dpkg-cross_2.4.0_all.deb
 c7ca74a045e4f16da668d93f3bac8ba54fd78a1e 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Checksums-Sha256: 
 f78769677f00f88076360d531a579d5418f644e2dc1bbf709f92c4caf739f46b 1223 dpkg-cross_2.4.0.dsc
 04240bac9c74eff2d8189fe1c43fa0a0b8db1152901035c73e6b78739108303b 73460 dpkg-cross_2.4.0.tar.gz
 1e544fc008b02ec2a49fd06fe884ae69d5c67a8288a64dbeb39c5b4629a3b0ce 50356 dpkg-cross_2.4.0_all.deb
 73427b798ac560776b80413acf6d38c2607550d4eff9d642b0c83a06ce34e6db 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Files: 
 553387c5146e86fa5dda3e4275719bd4 1223 utils extra dpkg-cross_2.4.0.dsc
 6fefb3522eee6cc2ecbb4c1a2e07ed85 73460 utils extra dpkg-cross_2.4.0.tar.gz
 45a4cc048975bf52f7cb05a00e3a707d 50356 utils extra dpkg-cross_2.4.0_all.deb
 486eb96b50c2d888ed8d705ba8ffae4e 32918 perl extra libdebian-dpkgcross-perl_2.4.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmYFj8ACgkQiAEJSii8s+Nx9QCfRZHVrXhe3DkuoVbBFpP9WZ16
TmwAnj3yhbap6qeWltV4cu7ttM/Dor+U
=U8XH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:25:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:15:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.